Subject: Re: bug#61885: `guix import go` fails outside of pre-inst-env

From: Winter <[email-masked]>
Date: Wed, 1 Mar 2023 12:34:07 -0500

Hi,

> This is way worse: (gnu packages golang) cannot be loaded at all!
> This is caused by a cycle, (gnu packages golang) uses (gnu packages
> check) and vice-versa, and go-github-com-robfig-cron is defined in (gnu
> packages golang)! So depending on whether you first use (gnu packages
> check) or (gnu packages golang), go-github-com-robfig-cron will not have
> been defined yet, hence the error.

Great catch, thank you!

I still wonder what about pre-inst-env makes it so the order is different -- it's still the same code importing it, after all.

Also, just for posterity: I ran into a situation where I was only able to reproduce this from within a Guix shell, though that may be some oddities with regards to the shell caching symlinks in PATH(?)

I'll try to look into at least the latter issue, no clue what's up with pre-inst-env, though.

Thanks,
Winter